%{
#include "clases.hc"
#include "gram.tab.hc"
%}
CH [-0-9a-zA-Z:+@$_\./\*~]+
%%
<<EOF>>			return EoF;
[ \t]+			;
"\\\n"			;
logout			return LOGOUT;
pwd			return PWD;
cd			return CD;
echo			return _ECHO;
"\n"			return '\n';
";"			return ';';
"("			return '(';
")"			return ')';
"||"			return BARBAR;
"&&"			return AMPAMP;
"|"			return '|';
">"			return '>';
">>"			return MAYMAY;
"<"			return '<';
{CH}			return ID;
\"[^\n\"]*|(\\\")*\"	return CUOT;
\'[^\n\']*|(\\\')\'	return CUOT;
.			{ cerr<<'['<<yytext<<"] erroneo\n"; exit(-1); }
%%
int yywrap()
{
	return 1;
}
